Skip to main content

queryRegisterStatus

The queryRegisterStatus API is used to check if an LI PASS has been registered.

Request Parameter​

ParameterTypeDescriptionRemark
accountstringAccount
Email or phone number (currently not supported)
Required
account_typenumberAccount type
1: Email
2: Phone number (currently not supported)
Required
phone_area_codestringPhone area codeRequired when account_type is 2

Request Sample​

accountApi.queryRegisterStatus(
{
account: 'xxx@gmail.com',
account_type: 1,
}
).then((res) => {
console.log(res);
});

Response Parameter​

ParameterTypeDescription
retnumberReturn code
0: Request success
!=0: Request failure, see msg for detailed return message
msgstringReturn message
is_registernumberWhether the account exists
0: Does not exist
1: Exists
seqstringSequence number of the message in the data stream

Response Sample​

{
is_register: 0,
msg: "Success",
ret: 0,
seq: "1638794583-0180225865-009373-0000146261",
}